# $Revision: 2430 $ $Date: 2019-01-05 17:15:39 -0400 (Sat, 05 Jan 2019) $
# $HeadURL: http://support2.silvermountaintargets.com/svn/smt/smt.common.lib/extract_software_patch.sh $
# $Id: extract_software_patch.sh 2430 2019-01-05 21:15:39Z dmc $

# echo hi from software_patch.sh CMD=${CMD} filename=${filename}


# are there architecture limitations for this patch?

eval ${TAR_CMD} target_arch.sh && {
	echo about to source target_arch.sh, check for architecture restrictions
	. ./target_arch.sh
	# trimslice: armv7l
	# Carambola2: mips
	# PCEngines: x86_64
	MY_ARCH=`uname -m`
	[ -n "${TARGET_ARCH}" -a "${MY_ARCH}" != "${TARGET_ARCH}" ] && {
		echo "Incompatible architecture ${MY_ARCH}, patch intended for ${TARGET_ARCH}"
		leave 1
	}
}




production=1
# production=""

[ -n "${production}" ] && {
	cd /home/smt/SilverMountainTargets 2>/dev/null && { # S10/trimslice, success
		/bin/true
	}
	cd /www/smtv2 2>/dev/null || {
		/bin/true
		# TODO...
	}
	echo production, PWD=`pwd`
}

[ -z "${production}" ] && {
	rm -rf /tmp/dir2
	mkdir /tmp/dir2
	cd /tmp/dir2
}

eval ${TAR_CMD}
chown -R `id -u`:`id -g` .
# ls -l

echo "patch files applied to `pwd`"

# echo hi again from software_patch.sh, all done


# TODO: detect system type (S25, G2 etc) and don't apply if incompatible
